Skip to main content
POST
/
screening
/
eligible-lists
Resolve eligible regulatory lists for a client
curl --request POST \
  --url https://api.artu.ai/screening/eligible-lists \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Environment: <api-key>' \
  --data '
{
  "clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
[
  {
    "list": "<string>",
    "displayName": "<string>",
    "defaultProvider": "<string>",
    "providers": [
      {
        "provider": "<string>",
        "eligible": true,
        "missingFields": [
          "<string>"
        ]
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Body

application/json

Resolve which regulatory lists are eligible for a given client.

clientId
string<uuid>
required

Response

200 - application/json

OK

list
string
required
Minimum string length: 1
displayName
string
required
Minimum string length: 1
defaultProvider
string
required
Minimum string length: 1
providers
object[]
required
read-only